Subject: Re: bug#26476: Help for C primitives not found

From: Andy Wingo <[email-masked]>
Date: Wed, 19 Apr 2017 14:38:04 +0200

On Thu 13 Apr 2017 13:25, <[email-masked]> writes:

> So.  (help cons) is no longer working for me with 2.2.
>
> The output of
>
>  echo '(help cons)' | strace guile
>
> shows
>
> stat("/usr/local/share/guile/guile-procedures.txt", 0x7ffd5f923330) = -1 ENOENT (No such file or directory)
> stat("/usr/local/share/guile/site/2.2/guile-procedures.txt", 0x7ffd5f923330) = -1 ENOENT (No such file or directory)
> stat("./guile-procedures.txt", 0x7ffd5f923330) = -1 ENOENT (No such file or directory)
> write(1, "No documentation found for:\n", 28No documentation found for:

I believe you miss a line previously that looks for
/usr/local/share/guile/2.2/guile-procedures.txt and succeeds.  I think
there is no general problem, only a specific problem that "cons" doesn't
have documentation any more, I guess related to inline function
definition things.

Andy